Developers

Retrieves the collection of TaskChecklist resources

GET
/project/tasks/{id}/task-checklists

Retrieves the collection of TaskChecklist resources

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

Task identifier

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
pagination?boolean

Enable or disable pagination

Response Body

curl -X GET "https://example.com/project/tasks/string/task-checklists"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "weight": 0,    "taskChecklistItems": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "isChecked": true,        "weight": 0      }    ],    "leader": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "pictureLg": "string",      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "canLogIn": true,      "phoneNumber": "string",      "jobPositionName": "string",      "hourlyRate": null,      "isExternal": true,      "decorator": "string"    }  }]